Loading...
Searching...
No Matches
setup.c File Reference

Segment setup routines. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <math.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "local_proto.h"`
Include dependency graph for segment/setup.c:

Go to the source code of this file.

## Functions

int | seg_setup (SEGMENT *SEG)
| Internal use only.

## Detailed Description

Segment setup routines.

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  2005-2009

Definition in file segment/setup.c.

## Function Documentation

## seg_setup()

int seg_setup | ( | SEGMENT * | SEG | ) |

Internal use only.

Setup segment.

SEG must have the following parms set: fd (open for read and write), nrows, ncols, srows, scols, len, nseg

Parameters

  [in,out] | SEG | segment

Returns
  1 if successful
  -1 if illegal parameters are passed in SEG
  -2 if unable to allocate memory

Definition at line 38 of file segment/setup.c.

References err(), G_debug(), G_warning(), NULL, seg_address_fast(), seg_address_slow(), seg_seek_fast(), and seg_seek_slow().

Referenced by Segment_init().